MsWrdTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWrdTextInternal::State Struct Reference

Internal: the state of a MsWrdParser. More...

## Public Member Functions
| State ()
| constructor More...
long | getTotalTextSize () const
| returns the total text size More...
int | getTextStructId (long textPos) const
| returns the id of textpos corresponding to a cPos or -1 More...
long | getFilePos (long textPos) const
| returns the file position corresponding to a text entry More...
shared_ptr< Table > | getTable (long cPos) const
| try to return a table which begins at a character position More...
std::fstream & | debugFile2 ()
| internal and low level: defined a second debug file More...

## Public Attributes
int | m_version
| the file version More...
long | m_bot
| the default text begin More...
long | m_textLength [3]
| the text length (main, footnote, header+footer) More...
std::vector< MWAWEntry > | m_headerFooterZones
| the header/footer zones More...
std::vector< TextStruct > | m_textposList
| the text positions More...
std::multimap< long, MsWrdText::PLC > | m_plcMap
| the text correspondance zone ( textpos, plc ) More...
std::multimap< long, MsWrdText::PLC > | m_filePlcMap
| the file correspondance zone ( filepos, plc ) More...
std::vector< Line > | m_lineList
| the list of lines More...
std::map< long, int > | m_paragraphLimitMap
| the paragraph limit -> textposition (or -1) More...
std::vector< long > | m_sectionLimitList
| the section cPos limit More...
std::map< long, MsWrdStruct::Font > | m_fontMap
| the final correspondance font zone ( textpos, font) More...
std::map< long, MsWrdStruct::Paragraph > | m_paragraphMap
| the final correspondance paragraph zone ( textpos, paragraph) More...
std::map< long, Property > | m_propertyMap
| the position where we have new data ( textpos -> [ we have done debug printing ]) More...
std::set< long > | m_tableCellPosSet
| a set of all begin cell position More...
std::map< long, shared_ptr< Table > > | m_tableMap
| the final correspondance table zone ( textpos, font) More...
std::vector< MsWrdStruct::ParagraphInfo > | m_paraInfoList
| the list of paragraph info modifier More...
std::vector< Page > | m_pageList
| the list of pages More...
std::vector< Field > | m_fieldList
| the list of fields More...
std::vector< Footnote > | m_footnoteList
| the list of footnotes More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
std::fstream | m_debugFile
| internal and low level: defined a second debug file More...

## Detailed Description

Internal: the state of a MsWrdParser.

## Constructor & Destructor Documentation

## § State()

MsWrdTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § debugFile2()

std::fstream& MsWrdTextInternal::State::debugFile2 | ( |  | ) |
| inline

internal and low level: defined a second debug file

## § getFilePos()

long MsWrdTextInternal::State::getFilePos | ( | long | textPos | ) | const
| inline

returns the file position corresponding to a text entry

## § getTable()

shared_ptr<Table> MsWrdTextInternal::State::getTable | ( | long | cPos | ) | const
| inline

try to return a table which begins at a character position

## § getTextStructId()

int MsWrdTextInternal::State::getTextStructId | ( | long | textPos | ) | const
| inline

returns the id of textpos corresponding to a cPos or -1

## § getTotalTextSize()

long MsWrdTextInternal::State::getTotalTextSize | ( |  | ) | const
| inline

returns the total text size

## Member Data Documentation

## § m_actPage

int MsWrdTextInternal::State::m_actPage

the actual page

## § m_bot

long MsWrdTextInternal::State::m_bot

the default text begin

## § m_debugFile

std::fstream MsWrdTextInternal::State::m_debugFile

internal and low level: defined a second debug file

## § m_fieldList

std::vector<Field> MsWrdTextInternal::State::m_fieldList

the list of fields

## § m_filePlcMap

std::multimap<long, MsWrdText::PLC> MsWrdTextInternal::State::m_filePlcMap

the file correspondance zone ( filepos, plc )

## § m_fontMap

std::map<long, MsWrdStruct::Font> MsWrdTextInternal::State::m_fontMap

the final correspondance font zone ( textpos, font)

## § m_footnoteList

std::vector<Footnote> MsWrdTextInternal::State::m_footnoteList

the list of footnotes

## § m_headerFooterZones

std::vector<MWAWEntry> MsWrdTextInternal::State::m_headerFooterZones

the header/footer zones

## § m_lineList

std::vector<Line> MsWrdTextInternal::State::m_lineList

the list of lines

## § m_numPages

int MsWrdTextInternal::State::m_numPages

the number of page of the final document

## § m_pageList

std::vector<Page> MsWrdTextInternal::State::m_pageList

the list of pages

## § m_paragraphLimitMap

std::map<long, int> MsWrdTextInternal::State::m_paragraphLimitMap

the paragraph limit -> textposition (or -1)

## § m_paragraphMap

std::map<long, MsWrdStruct::Paragraph> MsWrdTextInternal::State::m_paragraphMap

the final correspondance paragraph zone ( textpos, paragraph)

## § m_paraInfoList

std::vector<MsWrdStruct::ParagraphInfo> MsWrdTextInternal::State::m_paraInfoList

the list of paragraph info modifier

## § m_plcMap

std::multimap<long, MsWrdText::PLC> MsWrdTextInternal::State::m_plcMap

the text correspondance zone ( textpos, plc )

## § m_propertyMap

std::map<long, Property> MsWrdTextInternal::State::m_propertyMap

the position where we have new data ( textpos -> [ we have done debug printing ])

## § m_sectionLimitList

std::vector<long> MsWrdTextInternal::State::m_sectionLimitList

the section cPos limit

## § m_tableCellPosSet

std::set<long> MsWrdTextInternal::State::m_tableCellPosSet

a set of all begin cell position

## § m_tableMap

std::map<long, shared_ptr<Table> > MsWrdTextInternal::State::m_tableMap

the final correspondance table zone ( textpos, font)

## § m_textLength

long MsWrdTextInternal::State::m_textLength[3]

the text length (main, footnote, header+footer)

## § m_textposList

std::vector<TextStruct> MsWrdTextInternal::State::m_textposList

the text positions

## § m_version

int MsWrdTextInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MsWrdText.cxx